#ifndef FLOPPOTRON_FLOPPY_INTERFACE_H
#define FLOPPOTRON_FLOPPY_INTERFACE_H

#include "main.h"

#define FLOPPY_MAX_TRACK_SIZE 4096

#ifdef __cplusplus
extern "C" {
#endif

    // статус Floppy-проигрывателя
    enum FloppyStatus_t {
        FP_READY = 0,
        FP_PLAY,
        FP_PAUSE,
    };
    extern enum FloppyStatus_t FloppyStatus;
    extern uint16_t FloppyTrack[FLOPPY_MAX_TRACK_SIZE];

    void FloppyPutData(const uint8_t* data, size_t len);

#ifdef __cplusplus
};
#endif

#endif //FLOPPOTRON_FLOPPY_INTERFACE_H
